Subject: Re: per-fb mmap for platinumfb and valkyriefb in 2.4 (and 2.2)

From: Michel Dänzer <[email-masked]>
Date: Fri, 15 Sep 2000 10:57:20 +0200

Martin Costabel wrote:

> In fact, I don't see any difference between the situation before and after
> the patch. For x11perf --scroll500, I get exactly as before 36.2/sec for
> 1024x768 at 8bit. This is with XFree68-4.0.1; used to be 13/sec with older X
> servers.

X 4.x has ShadowFB, which shadows the framebufer in RAM and avoids reads from
VRAM.

I think Michel (the other one ;) either uses X 3.3.x or no ShadowFB.

Michel

PS: My Rage128 Mobility gives me 578.0/sec :)

--
Earthling Michel Dänzer (MrCooper)  \  CS student and free software enthusiast
Debian GNU/Linux (powerpc,i386) user \   member of XFree86 and The DRI Project

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/